> For the complete documentation index, see [llms.txt](https://conblox.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://conblox.gitbook.io/docs/scam-address-api/api-reference.md).

# API Reference

{% openapi src="/files/69TqcUC7Bpjl7gMgpSja" path="/ping" method="get" %}
[openapi.yaml](https://3457050479-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Ff28fARYvVRxjDw3LALIh%2Fuploads%2F6sfV9dBlAKMbTCtWKkkH%2Fopenapi.yaml?alt=media\&token=702a7b0f-c100-4ba1-961c-d15775df8f7e)
{% endopenapi %}

{% openapi src="/files/69TqcUC7Bpjl7gMgpSja" path="/checkKey" method="post" %}
[openapi.yaml](https://3457050479-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Ff28fARYvVRxjDw3LALIh%2Fuploads%2F6sfV9dBlAKMbTCtWKkkH%2Fopenapi.yaml?alt=media\&token=702a7b0f-c100-4ba1-961c-d15775df8f7e)
{% endopenapi %}

{% openapi src="/files/69TqcUC7Bpjl7gMgpSja" path="/predictAddressSingle" method="post" %}
[openapi.yaml](https://3457050479-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Ff28fARYvVRxjDw3LALIh%2Fuploads%2F6sfV9dBlAKMbTCtWKkkH%2Fopenapi.yaml?alt=media\&token=702a7b0f-c100-4ba1-961c-d15775df8f7e)
{% endopenapi %}

### `/predictAddressSingle` responses

<table data-full-width="true"><thead><tr><th width="140">HTTP Code</th><th width="169">Response type</th><th>Data</th><th>Description / Resolution</th></tr></thead><tbody><tr><td>200</td><td>Success</td><td><p>{</p><p>  "status": "success", </p><p>  "data": { </p><p>    "address": "0xc7[...]5a36",</p><p>    "avgPrediction": 0.0233, </p><p>    "module1": 0, </p><p>    "module2": 0.0467, </p><p>    "predictedClassId": 0,</p><p>    "predictedClassName": "nonScammer" </p><p>  }</p><p>}</p></td><td>This is the standard response. The model output <code>avgPrediction</code> is the average of outputs from 2 modules. Each module is a different model than runs on the same data, in most cases their predictions will be very close. </td></tr><tr><td>200</td><td>Warning - Contract address</td><td><p>{ </p><p>  "status": "warning", </p><p>  "data": { </p><p>    "address": "0x00[...]600f",</p><p>    "isContract": true </p><p>  }</p><p>}</p></td><td>This is not an error per se. Our model only provides fraud assessments for EOA addresses and not smart contracts. Pass a non-smart contract to get the model results.</td></tr><tr><td>400</td><td>Low credits</td><td><code>{"error": "Not enough credits"}</code></td><td>Top-up your credits or <a href="https://conblox.xyz/#contact">reach out to us</a>.</td></tr><tr><td>400</td><td>Missing Address</td><td><code>{"error": "Address argument was not passed"}</code></td><td>Pass an Ethereum address in the body of the request. Param name <code>address</code></td></tr><tr><td>400</td><td>Invalid Address type</td><td><code>{"error": "Invalid address: address must be of string type"}</code></td><td>Don't pass an array of addresses but a single 42-character ethereum address only.</td></tr><tr><td>400</td><td>Invalid Address format</td><td><code>{"error": "Invalid address: address must be an EVM address"}</code></td><td>Make sure your address complies with the EVM address format: <code>0x</code> followed by 40 hexadecimal characters.</td></tr><tr><td>400</td><td>Server error</td><td><code>{"error": "Request could not be processed, please retry"}</code></td><td>Retry the request. If the problem persists, please <a href="https://conblox.xyz/#contact">reach out to us</a>.</td></tr><tr><td>401</td><td>Unauthorized</td><td><code>{"error": "API Key is missing"}</code></td><td>Pass your API key in the <code>X-API-Key</code> header of your request.</td></tr><tr><td>403</td><td>Forbidden</td><td><code>{"error": "Invalid API Key"}</code></td><td>Make sure the API Key you passed is correct. Check its validity in the <a href="#checkkey"><code>checkKey</code> endpoint</a>. If your API Key should be valid but our systems say otherwise, please <a href="https://conblox.xyz/#contact">reach out to us</a>.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://conblox.gitbook.io/docs/scam-address-api/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
